# Library functions for the scripting library (scrib)
#
# File: scrib/lib/iges.tcl
#
# $Revision$ on $Date$
# 
# Copyright (c) 1993-2003 ICEM CFD Engineering
#
#--------------------------------------------------------------------
#
# --> if the name of the first proc already exists in interp, return
#
if {"" != [info commands scrib_lib_iges_import]} { return }
#
# --> procs in this file depend on the following scrib/lib/ files--source them
#     I guess we could do this by proc, too, not sure waht's best
#
if 0 {
    # none required
    set required_files ""
    scrib_lib_setup_source_files $required_files
}
#---------------------------------------------------------------------------

## import the iges file <em>iges</em> to a tetin file <em>tetin</em>
## in mode <em>mode</em> (as per ic_trans_iges_tetin).

proc scrib_lib_iges_import {iges tetin {mode none}} {
    global env
    
    #ic_trans_iges_tetin $iges $tetin $mode
    ic_trans_step_tetin $iges $tetin 0
    
    set stat ![file exists $tetin]
    if $stat {
	mess "couldn't import iges file $model"
    }
    return $stat
}

